arc4.h File Reference

Classes for ARC4 cipher. More...

Go to the source code of this file.

## Classes

class | Weak::ARC4_Base
| ARC4 base class. More...
class | Weak::ARC4
| Alleged RC4. More...
class | Weak::MARC4_Base
| MARC4 base class. More...
class | Weak::MARC4
| Modified Alleged RC4. More...

## Namespaces

namespace | Weak
| Namespace containing weak and wounded algorithms.

## Detailed Description

Classes for ARC4 cipher.

Since
  Crypto++ 3.1

Definition in file arc4.h.